Community Forum

Resolved
0 votes
Hi,

Referring to a previous Post, i was wondering when the updates of some packages will be released or how this is judged.

For example: Z-push is currently release 2.2.5 where still was released on 20-10-2015 and the most recent release is 2.2.11 (or even now 2.3.0)
Same for Zarafa (7.2.0 vs 7.2.4) or Owncloud (8.2.4 vs 9.1.0)

I know it is not always the best option to have the newest updates running, but this is a big gap between some releases and there are many bugfixes or improvements in the meantime.
Thursday, July 28 2016, 05:46 PM
Share this post:
Responses (24)
  • Accepted Answer

    Thursday, May 17 2018, 04:08 PM - #Permalink
    Resolved
    0 votes
    Tyler Randolph wrote:

    Patrick,

    I have a working version of OwnCloud 10 running on my system right now. There are still some things I have to fix before its complete, but I can probably have it ready in the next few weeks.


    Great !

    If you need me to test something, just let me know.
    The reply is currently minimized Show
  • Accepted Answer

    Wednesday, May 16 2018, 09:20 PM - #Permalink
    Resolved
    0 votes
    Patrick,

    I have a working version of OwnCloud 10 running on my system right now. There are still some things I have to fix before its complete, but I can probably have it ready in the next few weeks.
    The reply is currently minimized Show
  • Accepted Answer

    Wednesday, May 16 2018, 09:18 PM - #Permalink
    Resolved
    0 votes
    Patrick,

    I have a working version of OwnCloud 10 running on my system right now. There are still some things I have to fix before its complete, but I can probably have it ready in the next few weeks.
    The reply is currently minimized Show
  • Accepted Answer

    Saturday, April 28 2018, 02:53 PM - #Permalink
    Resolved
    0 votes
    Nick Howitt wrote:

    Hi Patrick,
    Chatting with Ben yesterday, it looks like Tyler is having a go at updating OwnCloud to 10.x before he moves on to trying to package NextCloud from scratch.

    That would be a great.
    Thanks for the update !
    The reply is currently minimized Show
  • Accepted Answer

    Saturday, April 28 2018, 09:24 AM - #Permalink
    Resolved
    0 votes
    Hi Patrick,
    Chatting with Ben yesterday, it looks like Tyler is having a go at updating OwnCloud to 10.x before he moves on to trying to package NextCloud from scratch.
    Like
    1
    The reply is currently minimized Show
  • Accepted Answer

    Thursday, April 26 2018, 06:16 PM - #Permalink
    Resolved
    0 votes
    Ben Chambers wrote:

    Interesting timing.

    I don't have time to pick up and maintain what was originally Tim Burgess's app/work.

    However, Tyler from ClearCenter is interested in using this app to develop his knowledge base on app development and maintenance.

    I'm going to kick things off with him as soon as tomorrow to get him started. We're going to go with NextCloud as the replacement and when launched, we'll hide ownCloud from the Marketplace since it's gotten quite old now.

    B.

    So basically Owncloud will not be updated and supported any more.
    That's unfortunate, because it was a nice addition in the ClearOS packeage and works nicely with Kopano.

    Will there be a community version available ?
    The reply is currently minimized Show
  • Accepted Answer

    Thursday, April 26 2018, 01:48 PM - #Permalink
    Resolved
    0 votes
    Interesting timing.

    I don't have time to pick up and maintain what was originally Tim Burgess's app/work.

    However, Tyler from ClearCenter is interested in using this app to develop his knowledge base on app development and maintenance.

    I'm going to kick things off with him as soon as tomorrow to get him started. We're going to go with NextCloud as the replacement and when launched, we'll hide ownCloud from the Marketplace since it's gotten quite old now.

    B.
    Like
    1
    The reply is currently minimized Show
  • Accepted Answer

    Tuesday, April 24 2018, 07:11 PM - #Permalink
    Resolved
    0 votes
    Old topic, but still actual.

    Are there maybe plans of update Owncloud.?
    The current version is still 8.x and there the current release is 10.x
    The reply is currently minimized Show
  • Accepted Answer

    Wednesday, August 31 2016, 02:36 PM - #Permalink
    Resolved
    0 votes
    Update:

    Both Zarafa-server-7.2.1 and Z-push-2.2.12 updates are working without problems.
    I've installed it on 2 server now for a couple of weeks with Webapp-2.2.1.43
    The reply is currently minimized Show
  • Accepted Answer

    Wednesday, August 17 2016, 06:21 PM - #Permalink
    Resolved
    0 votes
    Ben Chambers wrote:

    Oh ya...Zarafa had more RPM packaging issues.

    You'll need to run in two steps:


    ENABLE_BETA=True yum upgrade zarafa-server
    ENABLE_BETA=True yum upgrade app-zarafa


    You're a very early adopter! ;-) Good luck.

    B.

    Hi Ben,

    This worked.
    Installed the Beta on my test VM machine. Unfortunately can not test it live (yet)

    1th bug
    Webapp. There are 2 plugin that breaks the setting tab.
    - dropboxattachment
    - zdeveloper

    By removing both from /usr/share/zarafa-webapp/plugins,the settings tab in webapp is working again
    The reply is currently minimized Show
  • Accepted Answer

    Tuesday, August 16 2016, 07:34 PM - #Permalink
    Resolved
    0 votes
    Oh ya...Zarafa had more RPM packaging issues.

    You'll need to run in two steps:


    ENABLE_BETA=True yum upgrade zarafa-server
    ENABLE_BETA=True yum upgrade app-zarafa


    You're a very early adopter! ;-) Good luck.

    B.
    The reply is currently minimized Show
  • Accepted Answer

    Tuesday, August 16 2016, 07:08 PM - #Permalink
    Resolved
    0 votes
    Ben Chambers wrote:

    Unfortunately i can not find the zarafa 7.2.1.51838-319 in the beta/test repo



    ENABLE_BETA=True yum upgrade app-zarafa


    ENABLE_BETA=True yum upgrade app-zarafa
    Loaded plugins: clearcenter-marketplace, fastestmirror
    ClearCenter Marketplace: fetching repositories...
    clearos | 3.6 kB 00:00
    clearos-contribs | 3.0 kB 00:00
    clearos-fast-updates | 2.9 kB 00:00
    clearos-infra | 3.0 kB 00:00
    Loading mirror speeds from cached hostfile
    * clearos: ftp.nluug.nl
    * clearos-centos-verified: mirror1-london.clearos.com
    * clearos-centos-verified-testing: mirror1-london.clearos.com
    * clearos-contribs: ftp.nluug.nl
    * clearos-epel-verified: mirror1-london.clearos.com
    * clearos-epel-verified-testing: mirror1-london.clearos.com
    * clearos-fast-updates: download4.clearsdn.com
    * clearos-infra: ftp.nluug.nl
    * clearos-verified: mirror1-london.clearos.com
    * private-clearcenter-antimalware: download2.clearsdn.com:80
    * private-clearcenter-antispam: download4.clearsdn.com:80
    * private-clearcenter-content-filter: download4.clearsdn.com:80
    * private-clearcenter-dyndns: download4.clearsdn.com:80
    * private-clearcenter-home: download4.clearsdn.com:80
    * private-clearcenter-ids: download2.clearsdn.com:80
    * private-clearcenter-owncloud: download4.clearsdn.com:80
    * private-clearcenter-rbs: download4.clearsdn.com:80
    * private-clearcenter-remote-backup-testing: download4.clearsdn.com:80
    * private-clearcenter-verified-updates: download4.clearsdn.com:80
    * private-clearcenter-zarafa-community: download2.clearsdn.com:80
    * private-clearcenter-zarafa-community-testing: download2.clearsdn.com:80
    clearos-centos-verified | 3.0 kB 00:00
    clearos-centos-verified-testing | 3.0 kB 00:00
    clearos-centos-verified-testing/primary_db | 13 kB 00:00
    clearos-epel-verified | 3.0 kB 00:00
    clearos-epel-verified-testing | 3.0 kB 00:00
    clearos-epel-verified-testing/primary_db | 16 kB 00:00
    clearos-verified | 3.0 kB 00:00
    private-clearcenter-antimalware | 2.9 kB 00:00
    private-clearcenter-antimalware/primary_db | 2.7 kB 00:00
    private-clearcenter-antispam | 2.9 kB 00:00
    private-clearcenter-antispam/primary_db | 2.9 kB 00:00
    private-clearcenter-content-filter | 2.9 kB 00:00
    private-clearcenter-dyndns | 1.9 kB 00:00
    private-clearcenter-home | 1.9 kB 00:00
    private-clearcenter-ids | 2.9 kB 00:00
    private-clearcenter-owncloud | 2.9 kB 00:00
    private-clearcenter-rbs | 2.9 kB 00:00
    private-clearcenter-remote-backup-testing | 2.9 kB 00:00
    private-clearcenter-remote-backup-testing/primary_db | 1.2 kB 00:00
    private-clearcenter-verified-updates | 2.9 kB 00:00
    private-clearcenter-zarafa-community | 2.9 kB 00:00
    private-clearcenter-zarafa-community-testing | 2.9 kB 00:00
    private-clearcenter-zarafa-community-testing/primary_db | 57 kB 00:00
    Resolving Dependencies
    --> Running transaction check
    ---> Package app-zarafa.noarch 1:2.1.20-1.v7 will be updated
    ---> Package app-zarafa.noarch 1:2.1.22-1.v7 will be an update
    --> Processing Dependency: app-zarafa-core = 1:2.1.22-1.v7 for package: 1:app-zarafa-2.1.22-1.v7.noarch
    --> Running transaction check
    ---> Package app-zarafa-core.noarch 1:2.1.20-1.v7 will be updated
    ---> Package app-zarafa-core.noarch 1:2.1.22-1.v7 will be an update
    --> Processing Dependency: zarafa >= 7.2.1 for package: 1:app-zarafa-core-2.1.22-1.v7.noarch
    --> Running transaction check
    ---> Package zarafa.x86_64 0:7.2.0.48204-211.1 will be updated
    --> Processing Dependency: zarafa = 7.2.0.48204 for package: zarafa-utils-7.2.0.48204-211.1.x86_64
    --> Processing Dependency: zarafa = 7.2.0.48204 for package: zarafa-webaccess-7.2.0.48204-211.1.x86_64
    --> Processing Dependency: zarafa = 7.2.0.48204 for package: zarafa-contacts-7.2.0.48204-211.1.x86_64
    --> Processing Dependency: zarafa = 7.2.0.48204 for package: zarafa-common-7.2.0.48204-211.1.x86_64
    --> Processing Dependency: zarafa = 7.2.0.48204 for package: zarafa-client-7.2.0.48204-211.1.x86_64
    ---> Package zarafa.x86_64 0:7.2.1.51838-319.2 will be obsoleting
    ---> Package zarafa-base.x86_64 0:7.2.0.48204-211.1 will be obsoleted
    --> Processing Dependency: zarafa-base = 7.2.0.48204 for package: zarafa-server-packages-7.2.0.48204-211.1.x86_64
    ---> Package zarafa-libarchiver.x86_64 0:7.2.0.48204-211.1 will be obsoleted
    --> Processing Dependency: libarchiver-core.so.0()(64bit) for package: zarafa-dagent-7.2.0.48204-211.1.x86_64
    --> Processing Dependency: libarchiver-core.so.0()(64bit) for package: zarafa-spooler-7.2.0.48204-211.1.x86_64
    --> Processing Dependency: libarchiver.so.0()(64bit) for package: zarafa-dagent-7.2.0.48204-211.1.x86_64
    --> Processing Dependency: libarchiver.so.0()(64bit) for package: zarafa-spooler-7.2.0.48204-211.1.x86_64
    ---> Package zarafa-libs.x86_64 0:7.2.0.48204-211.1 will be obsoleted
    --> Processing Dependency: libicalmapi.so.1()(64bit) for package: zarafa-gateway-7.2.0.48204-211.1.x86_64
    --> Processing Dependency: libicalmapi.so.1()(64bit) for package: php-mapi-7.2.0.48204-211.1.x86_64
    --> Processing Dependency: libicalmapi.so.1()(64bit) for package: zarafa-spooler-7.2.1.51838-319.2.x86_64
    --> Processing Dependency: libicalmapi.so.1()(64bit) for package: zarafa-dagent-7.2.1.51838-319.2.x86_64
    --> Processing Dependency: libicalmapi.so.1()(64bit) for package: zarafa-ical-7.2.0.48204-211.1.x86_64
    --> Processing Dependency: libicalmapi.so.1()(64bit) for package: python-mapi-7.2.0.48204-211.1.x86_64
    --> Processing Dependency: libinetmapi.so.1()(64bit) for package: zarafa-gateway-7.2.0.48204-211.1.x86_64
    --> Processing Dependency: libinetmapi.so.1()(64bit) for package: zarafa-dagent-7.2.1.51838-319.2.x86_64
    --> Processing Dependency: libinetmapi.so.1()(64bit) for package: php-mapi-7.2.0.48204-211.1.x86_64
    --> Processing Dependency: libinetmapi.so.1()(64bit) for package: python-mapi-7.2.0.48204-211.1.x86_64
    --> Processing Dependency: libinetmapi.so.1()(64bit) for package: zarafa-spooler-7.2.1.51838-319.2.x86_64
    --> Processing Dependency: libmapi.so.0()(64bit) for package: zarafa-ical-7.2.0.48204-211.1.x86_64
    --> Processing Dependency: libmapi.so.0()(64bit) for package: zarafa-gateway-7.2.0.48204-211.1.x86_64
    --> Processing Dependency: libmapi.so.0()(64bit) for package: php-mapi-7.2.0.48204-211.1.x86_64
    --> Processing Dependency: libmapi.so.0()(64bit) for package: python-mapi-7.2.0.48204-211.1.x86_64
    --> Processing Dependency: libmapi.so.0()(64bit) for package: zarafa-monitor-7.2.0.48204-211.1.x86_64
    --> Running transaction check
    ---> Package libmapi.x86_64 0:7.1.14-2.el7 will be installed
    --> Processing Dependency: zarafa-client(x86-64) = 7.1.14-2.el7 for package: libmapi-7.1.14-2.el7.x86_64
    --> Processing Dependency: libvmime(abi) <= 20120406 for package: libmapi-7.1.14-2.el7.x86_64
    ---> Package php-mapi.x86_64 0:7.2.0.48204-211.1 will be updated
    ---> Package php-mapi.x86_64 0:7.2.1.51838-319.2 will be an update
    --> Processing Dependency: libzcp_common_util.so.0(EC_7.2.1)(64bit) for package: php-mapi-7.2.1.51838-319.2.x86_64
    --> Processing Dependency: libzcp_common_mapi.so.0(EC_7.2.1)(64bit) for package: php-mapi-7.2.1.51838-319.2.x86_64
    --> Processing Dependency: libmapi.so.1(OLE32_1)(64bit) for package: php-mapi-7.2.1.51838-319.2.x86_64
    --> Processing Dependency: libmapi.so.1(MAPI32_1)(64bit) for package: php-mapi-7.2.1.51838-319.2.x86_64
    --> Processing Dependency: libmapi.so.1(EC_7.2.1)(64bit) for package: php-mapi-7.2.1.51838-319.2.x86_64
    --> Processing Dependency: libinetmapi.so.1(EC_7.2.1)(64bit) for package: php-mapi-7.2.1.51838-319.2.x86_64
    --> Processing Dependency: libfreebusy.so.0(EC_7.2.1)(64bit) for package: php-mapi-7.2.1.51838-319.2.x86_64
    --> Processing Dependency: libzcp_common_util.so.0()(64bit) for package: php-mapi-7.2.1.51838-319.2.x86_64
    --> Processing Dependency: libzcp_common_mapi.so.0()(64bit) for package: php-mapi-7.2.1.51838-319.2.x86_64
    --> Processing Dependency: libvmime_zarafa7.so.0()(64bit) for package: php-mapi-7.2.1.51838-319.2.x86_64
    --> Processing Dependency: libmapi.so.1()(64bit) for package: php-mapi-7.2.1.51838-319.2.x86_64
    --> Processing Dependency: libicalss-zarafa.so.1()(64bit) for package: php-mapi-7.2.1.51838-319.2.x86_64
    --> Processing Dependency: libical-zarafa.so.1()(64bit) for package: php-mapi-7.2.1.51838-319.2.x86_64
    --> Processing Dependency: libfreebusy.so.0()(64bit) for package: php-mapi-7.2.1.51838-319.2.x86_64
    ---> Package python-mapi.x86_64 0:7.2.0.48204-211.1 will be updated
    ---> Package python-mapi.x86_64 0:7.2.1.51838-319.2 will be an update
    --> Processing Dependency: libzcp_common_ssl.so.0(EC_7.2.1)(64bit) for package: python-mapi-7.2.1.51838-319.2.x86_64
    --> Processing Dependency: libzarafasync.so.0(EC_7.2.1)(64bit) for package: python-mapi-7.2.1.51838-319.2.x86_64
    --> Processing Dependency: libzarafa_soapclient.so.0(EC_7.2.1)(64bit) for package: python-mapi-7.2.1.51838-319.2.x86_64
    --> Processing Dependency: libzcp_common_ssl.so.0()(64bit) for package: python-mapi-7.2.1.51838-319.2.x86_64
    --> Processing Dependency: libzarafasync.so.0()(64bit) for package: python-mapi-7.2.1.51838-319.2.x86_64
    --> Processing Dependency: libzarafa_soapclient.so.0()(64bit) for package: python-mapi-7.2.1.51838-319.2.x86_64
    --> Processing Dependency: libgsoapssl++-zarafa-2.8.so()(64bit) for package: python-mapi-7.2.1.51838-319.2.x86_64
    ---> Package zarafa-client.x86_64 0:7.2.0.48204-211.1 will be updated
    ---> Package zarafa-client.x86_64 0:7.2.1.51838-319.2 will be an update
    --> Processing Dependency: zarafa-lang = 7.2.1.51838 for package: zarafa-client-7.2.1.51838-319.2.x86_64
    ---> Package zarafa-common.x86_64 0:7.2.0.48204-211.1 will be updated
    --> Processing Dependency: zarafa-common = 7.2.0.48204 for package: zarafa-server-7.2.0.48204-211.1.x86_64
    ---> Package zarafa-common.x86_64 0:7.2.1.51838-319.2 will be an update
    ---> Package zarafa-contacts.x86_64 0:7.2.0.48204-211.1 will be updated
    ---> Package zarafa-contacts.x86_64 0:7.2.1.51838-319.2 will be an update
    ---> Package zarafa-dagent.x86_64 0:7.2.0.48204-211.1 will be updated
    ---> Package zarafa-dagent.x86_64 0:7.2.1.51838-319.2 will be an update
    --> Processing Dependency: libzarafa-archiver.so.0(EC_7.2.1)(64bit) for package: zarafa-dagent-7.2.1.51838-319.2.x86_64
    --> Processing Dependency: libzarafa-archiver-core.so.0(EC_7.2.1)(64bit) for package: zarafa-dagent-7.2.1.51838-319.2.x86_64
    --> Processing Dependency: libzcp_common_service.so.0()(64bit) for package: zarafa-dagent-7.2.1.51838-319.2.x86_64
    --> Processing Dependency: libzarafa-archiver.so.0()(64bit) for package: zarafa-dagent-7.2.1.51838-319.2.x86_64
    --> Processing Dependency: libzarafa-archiver-core.so.0()(64bit) for package: zarafa-dagent-7.2.1.51838-319.2.x86_64
    ---> Package zarafa-gateway.x86_64 0:7.2.0.48204-211.1 will be updated
    ---> Package zarafa-gateway.x86_64 0:7.2.1.51838-319.2 will be an update
    ---> Package zarafa-ical.x86_64 0:7.2.0.48204-211.1 will be updated
    ---> Package zarafa-ical.x86_64 0:7.2.1.51838-319.2 will be an update
    ---> Package zarafa-monitor.x86_64 0:7.2.0.48204-211.1 will be updated
    ---> Package zarafa-monitor.x86_64 0:7.2.1.51838-319.2 will be an update
    ---> Package zarafa-server-packages.x86_64 0:7.2.0.48204-211.1 will be updated
    ---> Package zarafa-server-packages.x86_64 0:7.2.1.51838-319.2 will be an update
    --> Processing Dependency: zarafa-search-plus = 7.2.1.51838 for package: zarafa-server-packages-7.2.1.51838-319.2.x86_64
    ---> Package zarafa-spooler.x86_64 0:7.2.0.48204-211.1 will be updated
    ---> Package zarafa-spooler.x86_64 0:7.2.1.51838-319.2 will be an update
    ---> Package zarafa-utils.x86_64 0:7.2.0.48204-211.1 will be updated
    ---> Package zarafa-utils.x86_64 0:7.2.1.51838-319.2 will be an update
    ---> Package zarafa-webaccess.x86_64 0:7.2.0.48204-211.1 will be updated
    ---> Package zarafa-webaccess.x86_64 0:7.2.1.51838-319.2 will be an update
    --> Processing Dependency: zarafa-webaccess-lang = 7.2.1.51838 for package: zarafa-webaccess-7.2.1.51838-319.2.x86_64
    --> Running transaction check
    ---> Package libfreebusy0.x86_64 0:7.2.1.51838-319.2 will be installed
    ---> Package libgsoap-zarafa-2_8.x86_64 0:2.8.22-15.1 will be installed
    ---> Package libical-zarafa1.x86_64 0:1.0.1-2.1 will be installed
    ---> Package libinetmapi1.x86_64 0:7.2.1.51838-319.2 will be installed
    ---> Package libmapi.x86_64 0:7.1.14-2.el7 will be installed
    --> Processing Dependency: zarafa-client(x86-64) = 7.1.14-2.el7 for package: libmapi-7.1.14-2.el7.x86_64
    ---> Package libmapi1.x86_64 0:7.2.1.51838-319.2 will be installed
    ---> Package libvmime.x86_64 0:0.9.2-0.9.20120406git.el7 will be installed
    --> Processing Dependency: libgsasl.so.7(LIBGSASL_1.1)(64bit) for package: libvmime-0.9.2-0.9.20120406git.el7.x86_64
    --> Processing Dependency: libgsasl.so.7()(64bit) for package: libvmime-0.9.2-0.9.20120406git.el7.x86_64
    ---> Package libvmime_zarafa7-0.x86_64 0:0.9.1+svn603-9.1 will be installed
    ---> Package libzarafa-archiver-core0.x86_64 0:7.2.1.51838-319.2 will be installed
    ---> Package libzarafa-archiver0.x86_64 0:7.2.1.51838-319.2 will be installed
    ---> Package libzarafa_soapclient0.x86_64 0:7.2.1.51838-319.2 will be installed
    ---> Package libzarafasync0.x86_64 0:7.2.1.51838-319.2 will be installed
    ---> Package libzcp_common_mapi0.x86_64 0:7.2.1.51838-319.2 will be installed
    ---> Package libzcp_common_service0.x86_64 0:7.2.1.51838-319.2 will be installed
    ---> Package libzcp_common_ssl0.x86_64 0:7.2.1.51838-319.2 will be installed
    ---> Package libzcp_common_util0.x86_64 0:7.2.1.51838-319.2 will be installed
    ---> Package zarafa-lang.x86_64 0:7.2.0.48204-211.1 will be updated
    ---> Package zarafa-lang.x86_64 0:7.2.1.51838-319.2 will be an update
    ---> Package zarafa-search-plus.x86_64 0:7.2.0.48204-211.1 will be updated
    ---> Package zarafa-search-plus.x86_64 0:7.2.1.51838-319.2 will be an update
    --> Processing Dependency: elinks for package: zarafa-search-plus-7.2.1.51838-319.2.x86_64
    ---> Package zarafa-server.x86_64 0:7.2.0.48204-211.1 will be updated
    ---> Package zarafa-server.x86_64 0:7.2.1.51838-319.2 will be an update
    --> Processing Dependency: libzarafa_soapserver.so.0(EC_7.2.1)(64bit) for package: zarafa-server-7.2.1.51838-319.2.x86_64
    --> Processing Dependency: libzarafa_server.so.0(EC_7.2.1)(64bit) for package: zarafa-server-7.2.1.51838-319.2.x86_64
    --> Processing Dependency: libzarafa_soapserver.so.0()(64bit) for package: zarafa-server-7.2.1.51838-319.2.x86_64
    --> Processing Dependency: libzarafa_server.so.0()(64bit) for package: zarafa-server-7.2.1.51838-319.2.x86_64
    ---> Package zarafa-webaccess-lang.x86_64 0:7.2.0.48204-211.1 will be updated
    ---> Package zarafa-webaccess-lang.x86_64 0:7.2.1.51838-319.2 will be an update
    --> Running transaction check
    ---> Package elinks.x86_64 0:0.12-0.36.pre6.el7 will be installed
    --> Processing Dependency: libnss_compat_ossl.so.0()(64bit) for package: elinks-0.12-0.36.pre6.el7.x86_64
    --> Processing Dependency: libmozjs185.so.1.0()(64bit) for package: elinks-0.12-0.36.pre6.el7.x86_64
    --> Processing Dependency: libgpm.so.2()(64bit) for package: elinks-0.12-0.36.pre6.el7.x86_64
    ---> Package libgsasl.x86_64 0:1.8.0-2.el7 will be installed
    --> Processing Dependency: libntlm.so.0()(64bit) for package: libgsasl-1.8.0-2.el7.x86_64
    ---> Package libmapi.x86_64 0:7.1.14-2.el7 will be installed
    --> Processing Dependency: zarafa-client(x86-64) = 7.1.14-2.el7 for package: libmapi-7.1.14-2.el7.x86_64
    ---> Package libzarafa_server0.x86_64 0:7.2.1.51838-319.2 will be installed
    ---> Package libzarafa_soapserver0.x86_64 0:7.2.1.51838-319.2 will be installed
    --> Running transaction check
    ---> Package gpm-libs.x86_64 0:1.20.7-5.el7 will be installed
    ---> Package js.x86_64 1:1.8.5-19.el7 will be installed
    ---> Package libmapi.x86_64 0:7.1.14-2.el7 will be installed
    --> Processing Dependency: zarafa-client(x86-64) = 7.1.14-2.el7 for package: libmapi-7.1.14-2.el7.x86_64
    ---> Package libntlm.x86_64 0:1.3-6.el7 will be installed
    ---> Package nss_compat_ossl.x86_64 0:0.9.6-8.el7 will be installed
    --> Processing Conflict: zarafa-7.2.1.51838-319.2.x86_64 conflicts gperftools = 2.4-29.1
    --> Restarting Dependency Resolution with new changes.
    --> Running transaction check
    ---> Package gperftools.x86_64 0:2.4-29.1 will be updated
    --> Processing Dependency: libtcmalloc_minimal.so.4()(64bit) for package: zarafa-server-7.2.1.51838-319.2.x86_64
    ---> Package gperftools.x86_64 0:2.4-31.1 will be an update
    ---> Package libmapi.x86_64 0:7.1.14-2.el7 will be installed
    --> Processing Dependency: zarafa-client(x86-64) = 7.1.14-2.el7 for package: libmapi-7.1.14-2.el7.x86_64
    --> Running transaction check
    ---> Package libmapi.x86_64 0:7.1.14-2.el7 will be installed
    --> Processing Dependency: zarafa-client(x86-64) = 7.1.14-2.el7 for package: libmapi-7.1.14-2.el7.x86_64
    ---> Package libtcmalloc4.x86_64 0:2.4-31.1 will be installed
    --> Finished Dependency Resolution
    Error: Package: libmapi-7.1.14-2.el7.x86_64 (clearos-epel-verified)
    Requires: zarafa-client(x86-64) = 7.1.14-2.el7
    Removing: zarafa-client-7.2.0.48204-211.1.x86_64 (@private-clearcenter-zarafa-community)
    zarafa-client(x86-64) = 7.2.0.48204-211.1
    Updated By: zarafa-client-7.2.1.51838-319.2.x86_64 (private-clearcenter-zarafa-community-testing)
    zarafa-client(x86-64) = 7.2.1.51838-319.2
    Available: zarafa-client-7.1.14-2.el7.x86_64 (clearos-epel-verified)
    zarafa-client(x86-64) = 7.1.14-2.el7
    You could try using --skip-broken to work around the problem
    You could try running: rpm -Va --nofiles --nodigest
    The reply is currently minimized Show
  • Accepted Answer

    Tuesday, August 16 2016, 06:18 PM - #Permalink
    Resolved
    0 votes
    Unfortunately i can not find the zarafa 7.2.1.51838-319 in the beta/test repo



    ENABLE_BETA=True yum upgrade app-zarafa
    The reply is currently minimized Show
  • Accepted Answer

    Tuesday, August 16 2016, 10:03 AM - #Permalink
    Resolved
    0 votes
    update:

    I've installed z-push 2.2.8 from the clearos-updates-testing repo and running this now for almost 2 weeks without any problems.

    Unfortunately i can not find the zarafa 7.2.1.51838-319 in the beta/test repo
    The reply is currently minimized Show
  • Accepted Answer

    Friday, August 05 2016, 11:44 AM - #Permalink
    Resolved
    0 votes
    Hi Tim,

    No worries. I appreciate your work for the community.
    Because i saw no development and some packages were not updated more than 1 year i just was wondering.
    Z-push is not a big issue. This is an easy update from the .tar packages.
    It is more the development from Zarafa-server and Webapp or Owncloud. Here in you see sometime some large improvements in the packages.
    The reply is currently minimized Show
  • Accepted Answer

    Friday, August 05 2016, 08:32 AM - #Permalink
    Resolved
    0 votes
    @Tim and Ben,

    Hi, Thanks for clarifying.

    @Tim, I couldn't check who's maintain the apps. I have no running ClearOS server at the moment. Maybe next week.
    The reply is currently minimized Show
  • Accepted Answer

    Thursday, August 04 2016, 11:04 PM - #Permalink
    Resolved
    0 votes
    Hi Patrick and Marcel, sorry family and day job is indeed taking up alot of my free time so not here on the forum as much

    I see Ben has already responded, but just to clarify most apps track the upstream release or EPEL version. This generally means there is a lag between the latest build and what's on the mirrors. If we see a newer upstream feature and want to introduce it earlier we effectively have to custom build and package (and maintain) our own version which is a lot of extra effort.

    Ben mentioned some of the upgrade issues also between versions which can sneak in... particularly with the last OwnCloud version and Zarafa so these also have to be tested before release. Z-push is not one I've maintained since v5.2 but could investigate to see where its at in the build system...

    In more general terms to answer your question, if its a package we/I build - we can pull in updates pretty quick, if its not then we're dependant on the upstream packager to update. Not sure that helps a lot though - but if there is something you need by all means ping me and I'll see what we can do :-)

    @Marcel the website is out of date really so will take down for now - all apps in the marketplace identify who the developer is in the 'app details' section if you need to find out who to get in touch with :-)

    Thanks for your support :-)
    The reply is currently minimized Show
  • Accepted Answer

    Sunday, July 31 2016, 02:30 PM - #Permalink
    Resolved
    0 votes
    Thanks Ben for the clear update.

    But when will a package from the testing repo forward for production.
    For example z-push 2.2.8 is dated 25-02-2016 and not released......

    Again is just a question and no offence.
    The reply is currently minimized Show
  • Accepted Answer

    Sunday, July 31 2016, 12:44 PM - #Permalink
    Resolved
    0 votes
    Hi Patrick,

    It varies depending on the app..where possible, we follow and integrate against upstream packages. This is true for ownCloud which comes from the EPEL repos. A recent upgrade to 8.2.4 actually caused major headache (for users) and development time (for us) and could potentially happen again if EPEL releases v9 anytime soon. Also, with the ownCloud fork to NextCloud, not sure what the roadmap may be..I've chatted with Tim a bit on this, but nothing in depth.

    Zarafa's a different story altogether...They've certainly had their issues with RPM packaging, and it's made providing seamless upgrade paths very difficult.

    For Zarafa on ClearOS 7, there's 7.2.0.48204-211 in the main repo and 7.2.1.51838-319 in the beta/test repo...beta/test just means we either haven't done a whole of testing or haven't worked out the upgrade process. Zarafa Small Business automated updates are impossible due to licensing...7.1 to 7.2 requires a new serial to be re-issued and installed.

    Z-push has an upgrade sitting in clearos-updates-testing repo...version 2.2.8. It's been there for quite some time...I'm not involved in that pkg and not sure of its state.

    That's about all I can shed light.

    B
    The reply is currently minimized Show
  • Accepted Answer

    Sunday, July 31 2016, 07:56 AM - #Permalink
    Resolved
    0 votes
    I've checked Tim's site and he is saying that he made the following extentions for the marketplace:

    Zarafa Community (www.zarafa.com)
    Bandwidth Viewer
    BackupPC (backuppc.sourceforge.net)
    SMART Monitor
    Transmission Bittorrent (www.transmissionbt.com )

    I'm not sure if this list is complete.

    So the others are the responsibility of Clearcenter I guess.
    The reply is currently minimized Show
  • Accepted Answer

    Sunday, July 31 2016, 05:49 AM - #Permalink
    Resolved
    0 votes
    I pinged Tim Burgess.
    The reply is currently minimized Show
  • Accepted Answer

    Sunday, July 31 2016, 05:21 AM - #Permalink
    Resolved
    0 votes
    Of course i can't speak for Tim but I can imagine that he has a busy family life.

    I share your meaning about apps that are paid for but I'm convinced that Tim or ClearCenter will update these apps. So maybe Tim or ClearCenter can shed some light on this matter.
    The reply is currently minimized Show
  • Accepted Answer

    Sunday, July 31 2016, 01:00 AM - #Permalink
    Resolved
    0 votes
    Marcel van van Leeuwen wrote:

    I'm not sure but I think Tim Burgess is responsible for updating these apps you mention. If so then I suspect a lot of his free time goes to the family. :)


    Hi Marcel,

    This correct and it also just a question how the updates are managed.
    On the otherhand these apps are currently paid apps, and therefor we can expect something
    The reply is currently minimized Show
  • Accepted Answer

    Thursday, July 28 2016, 07:27 PM - #Permalink
    Resolved
    0 votes
    I'm not sure but I think Tim Burgess is responsible for updating these apps you mention. If so then I suspect a lot of his free time goes to the family. :)
    The reply is currently minimized Show
Your Reply